// custom js for deucalion gui
$("#instructions_button").click(function() { if ($("#instructions").is(":hidden")) { if (!$("#metadata").is(":hidden")) { $("#metadata").fadeOut(250); } $("#instructions").fadeIn(250); } else $("#instructions").fadeOut(250); });
$("#metadata_button").click(function() { if ($("#metadata").is(":hidden")) { if (!$("#instructions").is(":hidden")) $("#instructions").fadeOut(250); $("#metadata").fadeIn(250); } else $("#metadata").fadeOut(250); });
$("#instructions_button").mouseover(function() { $("#instructions_tooltip").show(); }); $("#instructions_button").mouseout(function() { $("#instructions_tooltip").hide(); });
$("#metadata_button").mouseover(function() { $("#metadata_tooltip").show(); }); $("#metadata_button").mouseout(function() { $("#metadata_tooltip").hide(); });
$("#instructions .close_button").click(function() { $("#instructions").fadeOut(250); });
$("#metadata .close_button").click(function() { $("#metadata").fadeOut(250); });
$("#metadata, #instructions").hide();
function customAlert(message){ var theMessage = message.split('<br/>').join('\n'); $("#customAlertMessage").html(message + "<br/><div class='grayButton right' onclick='$(\"#customAlert\").css({\"visibility\":\"hidden\", \"height\": 0 }); return true;'>OK</div><br/>"); $("#customAlert").css({"visibility":"visible", "height":($(document).height() - $("#customAlertContent").height()) + "px" }); }